*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    border: 0;
    outline: none;
    border-collapse: collapse;
    -webkit-tap-highlight-color: transparent;
    box-sizing: border-box;
    -ms-overflow-style: none;
    scrollbar-width: none;
    background-repeat: no-repeat;
    font-family: "Montserrat", sans-serif;
}

html {
    margin-top: 0 !important;
    margin: 0 !important;
}

#wpadminbar {
    display: none !important;
}
body {
    min-height: 100vh;
    overflow-x: hidden;
    position: relative;
    background-image: url(my_prizes_bg.png), linear-gradient(to bottom, #FF7628, #FF7628 34%, #CC1817);
    background-repeat: no-repeat;
    background-position: center bottom;
    background-size: cover;
}

body.has_prizes:before {
    position: absolute;
    content: url(my_prizes_bg_before.png);
    bottom: 0;
    left: 0;
}

body.has_prizes:after {
    position: absolute;
    content: url(my_prizes_bg_after.png);
    bottom: 68px;
    right: 0;
}

section.my_prizes { padding: 20px 20px 0 20px; }

.my_prizes_nav {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 15px;
    max-width: 350px;
    margin: 0 auto 8px auto;
}

.my_prizes_nav .back_button {
    width: 40px;
    height: 40px;
    border-radius: 10px;
    background: #AE4500;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
}

.my_prizes_nav h1 {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 40px;
    width: 238px;
    background-color: white;
    margin: 0;
    text-transform: uppercase;
    border-radius: 14px;
    font-weight: 700;
    font-size: 16px;
    color: #EC5B19;
}

.my_prizes_caption {
    margin-bottom: 10px;
    padding: 12px 14px;
    background-color: rgba(133,53,0,0.18);
    border-radius: 10px;
    color: white;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
}

.my_prizes_caption .sub {
    font-weight: 400;
    text-transform: none;
    font-size: 10px;
}

.my_prizes_list {
    overflow-y: auto;
    height: calc(100vh - 234px);
}

.no_prizes {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
    text-align: center;
    font-weight: 500;
    font-size: 14px;
    line-height: 18px;
    max-width: 100%;
    margin: 28px auto 0 auto;
}

.no_prizes img {
    max-width: 80%;
}

.no_prizes p {
    width: 100%;
}

.my_prizes_block {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
    height: 66px;
    border-radius: 11px;
    padding: 6px 15px 6px 10px;
    background-color: rgba(247,243,237,0.84);
    backdrop-filter: blur(2.4px);
    box-shadow: 1px 3px 4px 0 C14F01;
}

.my_prizes_block:last-child { margin-bottom: 0; }

.my_prizes_block .modal_info { display: none !important; }

.my_prizes_block .icon {
    width: 54px;
    height: 54px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 7.5px;
    box-shadow: 0 0 2.2px 0 rgba(0,0,0,0.25);
    background-color: #FDE6D7;
}

.my_prizes_block .icon img {
    max-width: 100%;
    max-height: 100%;
}

.my_prizes_block .info {
    display: flex;
    flex-flow: column wrap;
    gap: 4px;
    align-items: flex-start;
    justify-content: center;
    width: calc(100% - 112px);
}

.my_prizes_block .info p.title {
    font-size: 12px;
    font-weight: 700;
    color: black;
}

.my_prizes_block .info p.date {
    font-weight: 700;
    font-size: 10px;
    color: rgba(0,0,0,0.6);
}

.my_prizes_block .button {
    width: 23px;
    height: 23px;
}

.my_prize_modal {
   display: none;
   position: fixed;
   z-index: 99999;
   width: 100%;
   height: 100%;
   left: 0;
   top: 0;
   background-color: rgba(0,0,0,0.6);
}

.my_prize_modal .wrap {
    position: absolute;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    max-height: 586px;
    bottom: 0;
    left: 0;
    background-color: white;
    border-radius: 12px 12px 0 0;
    padding: 12px 12px 24px 12px;
}

.my_prize_modal .icon {
    position: relative;
    margin-bottom: 17px;
    width: 100%;
    height: 172px;
    border-radius: 8px;
    background-color: #FDE6D7;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

.my_prize_modal .icon img {
    max-width: 100%;
    max-height: 100%;
}

.my_prize_modal .icon a {
    position: absolute;
    top: 6px;
    right: 8px;
    cursor: pointer;
}

.my_prize_modal .button_link {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    text-decoration: none !important;
    width: 100%;
    height: 48px;
    color: white;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 700;
    background: linear-gradient(to right, #0072FF 0%, #00C6FF 86%);
    border: none;
    border-radius: 10px;
    letter-spacing: 0.4px;
    cursor: pointer;
}

.my_prize_modal_actions {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: auto;
}

.my_prize_modal .my-prize-modal-promo-button.ui-button {
    --ui-button-color: #001830;
    --ui-button-font-weight: 700;
    --ui-button-white-space: nowrap;

    box-shadow: 4px 8px 9.3px -6px rgb(0 0 0 / 10%);
}

.my_prize_modal .my-prize-modal-promo-button.ui-button.is-copied {
    --ui-button-color: #00be39;
}

.my_prize_modal .content {
    overflow-y: auto;
    height: calc(100% - 230px);
}

.my_prize_modal .content.content_small { height: calc(100% - 290px); }

.my_prize_modal .content p.title {
    margin-bottom: 16px;
    font-size: 16px;
    font-weight: 700;
}

.my_prize_modal .content p.text {
    font-size: 14px;
    font-weight: 500;
}
